diff -Nur OpenAL.orig/Sound/OpenAL/Config.hs OpenAL/Sound/OpenAL/Config.hs
--- OpenAL.orig/Sound/OpenAL/Config.hs	Fri Jul 22 23:47:42 2005
+++ OpenAL/Sound/OpenAL/Config.hs	Fri Sep 23 10:08:19 2005
@@ -35,6 +35,8 @@
 import Data.Int
 import Data.Word
 import Foreign.Ptr ( Ptr, nullPtr )
+-- Now GHC can't use cyclic import. So, you must use CONST_AL_FALSE.
+-- import Sound.OpenAL.Constants ( al_FALSE )
 
 --------------------------------------------------------------------------------
 
@@ -155,7 +157,7 @@
 #else
 
 -- inlined unmarshalALCboolean here to break dependency cycle
-closeDevice = liftM (/= alc_FALSE) . alcCloseDevice
+closeDevice = liftM (/= CONST_ALC_FALSE) . alcCloseDevice
 
 foreign import CALLCONV unsafe "alcCloseDevice"
    alcCloseDevice :: Device -> IO ALCboolean
diff -Nur OpenAL.orig/configure.ac OpenAL/configure.ac
--- OpenAL.orig/configure.ac	Sat Aug  6 02:30:35 2005
+++ OpenAL/configure.ac	Fri Sep 23 00:57:36 2005
@@ -19,11 +19,21 @@
 # The following test for the OpenAL library is a bit of a hack, but gives nice
 # feedback even for the case when no additional library is needed. (Mac OS X?)
 AL_LIBS=no
-AC_SEARCH_LIBS([alGenSources], [openal], [AL_LIBS="$ac_cv_search_alGenSources"])
+AC_SEARCH_LIBS([alGenSources], [openal, openal32], [AL_LIBS="$ac_cv_search_alGenSources"])
 test x"$AL_LIBS" = x"none required" && AL_LIBS=
 AC_SUBST([AL_LIBS])
 
-if test "$AL_LIBS" = no; then
+AL_FRAMEWORKS=no
+# Ugly...
+AL_FRAMEWORKS=
+case $host_os in
+darwin*)
+  AL_FRAMEWORKS=OpenAL
+  ;;
+esac
+AC_SUBST([AL_FRAMEWORKS])
+
+if test "$AL_LIBS" = no && test "$AL_FRAMEWORKS" = no; then
   AC_MSG_WARN([no OpenAL library found, so this package will not be built])
 else
 
@@ -34,14 +44,6 @@
 
 AL_BUILD_PACKAGE=yes
 
-# Ugly...
-AL_FRAMEWORKS=
-case $host_os in
-darwin*)
-  AL_FRAMEWORKS=OpenAL
-  ;;
-esac
-AC_SUBST([AL_FRAMEWORKS])
 
 AC_CHECK_HEADERS([AL/alext.h OpenAL/alext.h], [break])
 
